// Admin credentials
const ADMIN_USERNAME = 'admin';
const ADMIN_PASSWORD = 'inside51';

// Function to handle login form submission
function handleLogin(e: Event): void {
  e.preventDefault();

  const usernameInput = document.getElementById('username') as HTMLInputElement;
  const passwordInput = document.getElementById('password') as HTMLInputElement;
  const loginError = document.getElementById('login-error');

  const username = usernameInput.value.trim();
  const password = passwordInput.value.trim();

  if (username === ADMIN_USERNAME && password === ADMIN_PASSWORD) {
    // Set authentication token in localStorage
    localStorage.setItem('isAdminLoggedIn', 'true');

    // Redirect to admin panel
    window.location.href = './admin.html';
  } else {
    // Show error message
    if (loginError) {
      loginError.style.display = 'block';
    }

    // Clear password field
    passwordInput.value = '';
  }
}

// Initialize the login page
document.addEventListener('DOMContentLoaded', () => {
  const loginForm = document.getElementById('login-form');

  if (loginForm) {
    loginForm.addEventListener('submit', handleLogin);
  }

  // Check if user is already authenticated
  const isAuthenticated = localStorage.getItem('isAdminLoggedIn') === 'true';
  if (isAuthenticated) {
    // Already logged in, redirect to admin panel
    window.location.href = './admin.html';
  }
});
